%define _prefix /scisoft

Name:           scisoft-topcat
Version:        4.0
Release:        1%{?dist}
Summary:        Tool for operations on catalogues and tables
Distribution:   Scisoft
Group:          Applications/Scientific
License:        GPLv3 and LGPL
Packager:       Carlos Guirao
URL:            http://www.star.bris.ac.uk/~mbt/topcat/
Source0:        topcat-full.jar
Source1:        topcat

BuildArch:      noarch
Requires:       java

%description
TOPCAT is an interactive graphical viewer and editor for tabular data.
Its aim is to provide most of the facilities that astronomers need for
analysis and manipulation of source catalogues and other tables, though it
can be used for non-astronomical data as well. It understands a number of
different astronomically important formats (including FITS, VOTable and CDF)
and more formats can be added.

%prep

%build

%install
install -m 755 -d %{buildroot}%{_bindir}
install -m 644 %{SOURCE0} %{buildroot}%{_bindir}
install -m 755 %{SOURCE1} %{buildroot}%{_bindir}/topcat

%files
%{_prefix}
%defattr(-,root,root,-)

%changelog
* Tue Mar 6 2018 Artur Szostak <aszostak@partner.eso.org> 2.0.0-1
- Integrating into automated build system for Scisoft.

* Wed Nov 13 2013 Carlos Guirao <cguirao@eso.org>
- First integration based on SRPM
